Skip to content
DELETE /unified/accounting/items/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). When the upstream body exceeds 1 MiB, data is replaced by { truto_truncated: true, truto_max_bytes, truto_excerpt }. debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the item

1 supported
Xero
supported
asset_accountstring

The ID of the account used to record the asset

companystring

The ID of the company the item belongs to

References: CompanyInfo → id
created_atstring · date-time

This represents the date when the item was created

descriptionstring

The description of the item

1 supported
Xero
supported
namestring

The name of the item

1 supported
Xero
supported
purchase_accountstring

The ID of the account used to record the purchase of the item

1 supported
Xero
supported
purchase_pricenumber

The purchase price of the item

1 supported
Xero
supported
quantitynumber

The quantity of the Item.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

sales_accountstring

The ID of the account used to record the sale

1 supported
Xero
supported
statusstring

The status of the item. If no clear mapping exists, then raw value is returned

Possible values:
activearchived
unit_pricenumber

The unit price of the item

1 supported
Xero
supported
updated_atstring · date-time

This represents the date when the item was updated

1 supported
Xero
supported
truto unified accounting items '<resource_id>' \
  -m delete \
  -a '<integrated_account_id>'
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'accounting',
  'items',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "accounting",
        "items",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
curl -X DELETE 'https://api.truto.one/unified/accounting/items/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/items/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/items/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())